Skip to main content
GET
Get face match results

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

face_match_id
string<uuid>
required

The ID of the face match to retrieve

Query Parameters

limit
integer

Number of face matches to return

Required range: 1 <= x <= 100
offset
integer

Offset from the start of the face matches list

Required range: x >= 0

Response

Face match results retrieved successfully

face_match_id
string<uuid>
required

Unique identifier for the face match job

status
enum<string>
required

Status of the face match job

Available options:
pending,
processing,
completed,
failed
created_at
number
required

Unix timestamp in milliseconds when the job was created

face_detection_id
string<uuid>

ID of the face detection analysis used

frame_extraction_id
string<uuid>

ID of the frame extraction used

file_id
string<uuid>

ID of the target file

source_face_bounding_box
object | null

Bounding box of the source face in the source image (null when job is pending/processing)

data
object

Face match results (only present when status is completed)